{% extends "base.html" %}
{% load account socialaccount %}
{% load sniplates %}
{% block title %}ALPlot - Sign In{% endblock %}

{% block content %}
{% load_widgets form="widgets/app.html" %}
{% get_providers as socialaccount_providers %}

<div class="grid-container content-container">
  <div class="grid-x grid-padding-x">

    <div class="auto cell"></div><div class="large-8 cell">
      <h2>Sign In</h2><hr>

      {% if socialaccount_providers %}
        <p>
          Please sign in with one of your existing third party accounts. Or,
          <a href="{{ signup_url }}"><strong>sign up</strong></a> for an
          account and sign in below:
        </p>
        {% include "socialaccount/snippets/provider_list.html" with process="login" %}
        <div id="login-or" class="h4 text-center">- or -</div>
        {% include "socialaccount/snippets/login_extra.html" %}
      {% else %}
        <p>
          If you have not created an account yet, then please
          <a href="{{ signup_url }}"><strong>sign up</strong></a> first.
        </p>
      {% endif %}

      <form class="login" method="POST" action="{% url 'account_login' %}">
        {% csrf_token %}
        <div class="grid-x grid-margin-x">
          <div class="large-5 cell">
            <div class="input-group">
              <span class="input-group-label">{{ form.login.label }}</span>
              {% form_field form.login widget="form:TextInput" css_classes="input-group-field" %}
            </div>
          </div>
          <div class="large-5 cell">
            <div class="input-group">
              <span class="input-group-label">{{ form.password.label }}</span>
              {% form_field form.password widget="form:PasswordInput" css_classes="input-group-field" %}
            </div>
          </div>
          <div class="auto cell">
            <button class="button primary" type="submit">Sign In</button>
          </div>
        </div>
        {% widget "form:form_errors" %}
        {% if redirect_field_value %}
          <input type="hidden"
                 name="{{ redirect_field_name }}"
                 value="{{ redirect_field_value }}"
          />
        {% endif %}
        <!-- <a class="button" href="{% url 'account_reset_password' %}">Forgot Password?</a> -->
      </form>

    </div><div class="auto cell"></div>
  </div>
</div>

{% endblock %}




